From e1a9ff6a558957c9f8fe47ef9aeb90fc39975cea Mon Sep 17 00:00:00 2001
From: Jiangyi Chen <chenjiangyi@uniontech.com>
Date: Tue, 22 Jun 2021 11:52:13 +0800
Subject: [PATCH] gdi32: Only family_name that are equal should not return true
 immediately while comparing face.

Signed-off-by: Jiangyi Chen <chenjiangyi@uniontech.com>
---
 dlls/gdi32/font.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dlls/gdi32/font.c b/dlls/gdi32/font.c
index c990fe5e233..de06c69955c 100644
--- a/dlls/gdi32/font.c
+++ b/dlls/gdi32/font.c
@@ -2780,7 +2780,7 @@ static BOOL family_matches( struct gdi_font_family *family, const WCHAR *face_na
 
 static BOOL face_matches( const WCHAR *family_name, struct gdi_font_face *face, const WCHAR *face_name )
 {
-    if (!facename_compare( face_name, family_name, LF_FACESIZE - 1)) return TRUE;
+    if (facename_compare( face_name, family_name, LF_FACESIZE - 1)) return FALSE;
     return !facename_compare( face_name, face->full_name, LF_FACESIZE - 1 );
 }
 
-- 
2.20.1

